{
  "name": "fe",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "test:unit": "vitest",
    "test:e2e": "playwright test",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "lint:oxlint": "oxlint . --fix -D correctness --ignore-path .gitignore",
    "lint:eslint": "eslint . --fix",
    "lint": "run-s lint:*",
    "format": "prettier --write src/",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build"
  },
  "dependencies": {
    "@sentry/tracing": "^7.120.3",
    "@sentry/vue": "^7.120.3",
    "@supabase/auth-js": "^2.69.1",
    "@supabase/supabase-js": "^2.49.4",
    "@vueuse/core": "^13.1.0",
    "axios": "^1.9.0",
    "date-fns": "^4.1.0",
    "motion": "^12.15.0",
    "pinia": "^3.0.2",
    "qs": "^6.14.0",
    "vue": "^3.5.13",
    "vue-i18n": "^9.9.1",
    "vue-router": "^4.5.1",
    "vuedraggable": "^4.1.0",
    "workbox-background-sync": "^7.3.0"
  },
  "devDependencies": {
    "@intlify/unplugin-vue-i18n": "^4.0.0",
    "@playwright/test": "^1.51.1",
    "@storybook/addon-docs": "^9.0.2",
    "@storybook/addon-onboarding": "^9.0.2",
    "@storybook/vue3-vite": "^9.0.2",
    "@tsconfig/node22": "^22.0.1",
    "@types/date-fns": "^2.5.3",
    "@types/jsdom": "^21.1.7",
    "@types/node": "^22.15.17",
    "@vitejs/plugin-vue": "^5.2.3",
    "@vitest/eslint-plugin": "^1.1.39",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.5.0",
    "@vue/test-utils": "^2.4.6",
    "@vue/tsconfig": "^0.7.0",
    "eslint": "^9.26.0",
    "eslint-plugin-oxlint": "^0.16.0",
    "eslint-plugin-playwright": "^2.2.0",
    "eslint-plugin-storybook": "^9.0.2",
    "eslint-plugin-vue": "~10.0.0",
    "jiti": "^2.4.2",
    "jsdom": "^26.0.0",
    "npm-run-all2": "^7.0.2",
    "oxlint": "^0.16.0",
    "prettier": "^3.5.3",
    "sass": "^1.88.0",
    "storybook": "^9.0.2",
    "typescript": "~5.8.0",
    "vite": "^6.2.4",
    "vite-plugin-pwa": "^1.0.0",
    "vite-plugin-vue-devtools": "^7.7.2",
    "vitest": "^3.1.1",
    "vue-tsc": "^2.2.8",
    "workbox-cacheable-response": "^7.3.0",
    "workbox-core": "^7.3.0",
    "workbox-expiration": "^7.3.0",
    "workbox-precaching": "^7.3.0",
    "workbox-routing": "^7.3.0",
    "workbox-strategies": "^7.3.0"
  }
}
